Subject: Re: [RFC PATCH 00/10] net: hns3: Adds support of debugfs to HNS3 driver

From: Andrew Lunn <[email-masked]>
Date: Sun, 11 Nov 2018 17:18:22 +0100

> Agreed. But what about if we want to expose anything related to
> firmware to user-space using the debugfs, assuming we are presenting
> information in structured way and not as a black-box to some user-space
> application. Is it something which might be discouraged?

Hi Salil

Please take a look at devlink. Mellonex have been adding commands to
it for dumping firmware states.

   Andrew